ColumnSourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class ColumnSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.ColumnValuesSourceImpl
          org.hibernate.metamodel.source.annotations.attribute.ColumnSourceImpl

All Implemented Interfaces:
  ColumnSource, RelationalValueSource

    public class ColumnSourceImpl

extends ColumnValuesSourceImpl

Method Summary
`String` | `getCheckCondition()` Obtain the specified check constraint condition
`String` | `getName()` Obtain the name of the column.
`String` | `getReadFragment()` A SQL fragment to apply to the column value on read.
`String` | `getWriteFragment()` A SQL fragment to apply to the column value on write.
`protected String` | `resolveColumnName()`

Methods inherited from class org.hibernate.metamodel.source.annotations.attribute.ColumnValuesSourceImpl
`getComment, getContainingTableName, getDatatype, getDefaultValue, getSize, getSqlType, isIncludedInInsert, isIncludedInUpdate, isNullable, isUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resolveColumnName

    protected String resolveColumnName()

### getName

    public String getName()

  Description copied from interface: `ColumnSource`
  Obtain the name of the column.

  Specified by:
    `getName` in interface `ColumnSource`
  Overrides:
    `getName` in class `ColumnValuesSourceImpl`
  Returns:
    The name of the column. Can be `null`, in which case a naming strategy is applied.

### getReadFragment

    public String getReadFragment()

  Description copied from interface: `ColumnSource`
  A SQL fragment to apply to the column value on read.

  Specified by:
    `getReadFragment` in interface `ColumnSource`
  Overrides:
    `getReadFragment` in class `ColumnValuesSourceImpl`
  Returns:
    The SQL read fragment

### getWriteFragment

    public String getWriteFragment()

  Description copied from interface: `ColumnSource`
  A SQL fragment to apply to the column value on write.

  Specified by:
    `getWriteFragment` in interface `ColumnSource`
  Overrides:
    `getWriteFragment` in class `ColumnValuesSourceImpl`
  Returns:
    The SQL write fragment

### getCheckCondition

    public String getCheckCondition()

  Description copied from interface: `ColumnSource`
  Obtain the specified check constraint condition

  Specified by:
    `getCheckCondition` in interface `ColumnSource`
  Overrides:
    `getCheckCondition` in class `ColumnValuesSourceImpl`
  Returns:
    Check constraint condition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.